Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PhoneNumberAuthenticationSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PhoneNumberAuthenticationSettings

Enclosing class:
  TdApi

public static final class TdApi.PhoneNumberAuthenticationSettings extends TdApi.Object
Contains settings for the authentication of the user's phone number.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowFlashCall`
Pass true if the authentication code may be sent via a flash call to the specified phone number.
`boolean`
`allowMissedCall`
Pass true if the authentication code may be sent via a missed call to the specified phone number.
`boolean`
`allowSmsRetrieverApi`
For official applications only.
`String[]`
`authenticationTokens`
List of up to 20 authentication tokens, recently received in updateOption("authentication_token") in previously logged out sessions.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.FirebaseAuthenticationSettings`
`firebaseAuthenticationSettings`
For official Android and iOS applications only; pass null otherwise.
`boolean`
`isCurrentPhoneNumber`
Pass true if the authenticated phone number is used on the current device.

## Constructor Summary

Constructors
Constructor
Description
`PhoneNumberAuthenticationSettings()`
Contains settings for the authentication of the user's phone number.
`PhoneNumberAuthenticationSettings(boolean allowFlashCall, boolean allowMissedCall, boolean isCurrentPhoneNumber, boolean allowSmsRetrieverApi, TdApi.FirebaseAuthenticationSettings firebaseAuthenticationSettings, String[] authenticationTokens)`
Contains settings for the authentication of the user's phone number.
`PhoneNumberAuthenticationSettings(DataInput input)`
Contains settings for the authentication of the user's phone number.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### allowFlashCall

public boolean allowFlashCall
Pass true if the authentication code may be sent via a flash call to the specified phone number.

### allowMissedCall

public boolean allowMissedCall
Pass true if the authentication code may be sent via a missed call to the specified phone number.

### isCurrentPhoneNumber

public boolean isCurrentPhoneNumber
Pass true if the authenticated phone number is used on the current device.

### allowSmsRetrieverApi

public boolean allowSmsRetrieverApi
For official applications only. True, if the application can use Android SMS Retriever API (requires Google Play Services >= 10.2) to automatically receive the authentication code from the SMS. See https://developers.google.com/identity/sms-retriever/ for more details.

### firebaseAuthenticationSettings

public TdApi.FirebaseAuthenticationSettings firebaseAuthenticationSettings
For official Android and iOS applications only; pass null otherwise. Settings for Firebase Authentication.

### authenticationTokens

public String[] authenticationTokens
List of up to 20 authentication tokens, recently received in updateOption("authentication_token") in previously logged out sessions.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PhoneNumberAuthenticationSettings

public PhoneNumberAuthenticationSettings()
Contains settings for the authentication of the user's phone number.

### PhoneNumberAuthenticationSettings

public PhoneNumberAuthenticationSettings(boolean allowFlashCall, boolean allowMissedCall, boolean isCurrentPhoneNumber, boolean allowSmsRetrieverApi, TdApi.FirebaseAuthenticationSettings firebaseAuthenticationSettings, String[] authenticationTokens)
Contains settings for the authentication of the user's phone number.

Parameters:
  `allowFlashCall` - Pass true if the authentication code may be sent via a flash call to the specified phone number.
  `allowMissedCall` - Pass true if the authentication code may be sent via a missed call to the specified phone number.
  `isCurrentPhoneNumber` - Pass true if the authenticated phone number is used on the current device.
  `allowSmsRetrieverApi` - For official applications only. True, if the application can use Android SMS Retriever API (requires Google Play Services >= 10.2) to automatically receive the authentication code from the SMS. See https://developers.google.com/identity/sms-retriever/ for more details.
  `firebaseAuthenticationSettings` - For official Android and iOS applications only; pass null otherwise. Settings for Firebase Authentication.
  `authenticationTokens` - List of up to 20 authentication tokens, recently received in updateOption("authentication_token") in previously logged out sessions.

### PhoneNumberAuthenticationSettings

public PhoneNumberAuthenticationSettings(DataInput input) throws IOException
Contains settings for the authentication of the user's phone number.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`